%define PROGNAME OpenVAS-Client
%define _prefix /usr

Summary: OpenVAS-Client, a GTK GUI for the OpenVAS Network Security Scanner
Name:    openvas-client
Version: 3.0.0
Release: 5.1.art
Source0: openvas-client-%{version}.tar.gz
Patch0: msgfmt-de.patch
Patch1: debug.patch
License: GNU GPLv2 
Group: Productivity/Networking/Security
Vendor: OpenVAS Development Team, http://www.openvas.org 
Packager:       Scott R. Shinn <scott@atomicrocketturtle.com>
BuildRoot: %{_builddir}/%{name}-root
Prefix: %{_prefix}
URL: http://www.openvas.org
Requires: openssl, gtk2, urw-fonts
BuildRequires: pango-devel gtk+-devel zlib-devel atk-devel
BuildRequires: openssl-devel gtk2-devel gettext-devel gcc-c++
BuildRequires: openvas-libraries-devel
%if 0%{?el4}%{?el5}
BuildRequires: compat-gnutls2-devel, compat-gnutls2
Requires: compat-gnutls2

%else
BuildRequires: gnutls-devel
BuildRequires: cairo-devel atk-devel
%endif

%if 0%{?el4}
BuildRequires:  evolution28-glib2-devel evolution28-glib2
Requires: evolution28-glib2
BuildRequires: evolution28-gtk2-devel evolution28-gtk2
Requires: evolution28-gtk2
%else
BuildRequires: glib2 >= 2.6.0, glib2-devel >= 2.6.0
BuildRequires: libpcap-devel gpgme-devel
%endif

%if 0%{?fc10}
BuildRequires: pixman-devel libXrender-devel libpcap-devel gpgme-devel
%endif


%description
A GTK+ GUI for the OpenVAS Network Vulnerability Scanner.
Includes SLADinstaller, a GUI for remotely
installing SLAD.

%prep
%setup -b 0
#%patch0 -p0
%patch1 -p1

%build

%if 0%{?el4}
  %ifarch x86_64
    export GLIB_LIBS=/usr/evolution28/lib64/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/evolution28/lib64/pkgconfig:/usr/lib64/pkgconfig/:/usr/gnutls2/lib/pkgconfig/
    export GNUTLS_LIBS=/usr/gnutls2/lib
    export CFLAGS=-I/usr/gnutls2/include
  %else
    export GLIB_LIBS=/usr/evolution28/lib/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/evolution28/lib/pkgconfig:/usr/lib/pkgconfig/
  %endif
%endif

%if 0%{?el4}%{?el5}
  export CFLAGS="-I/usr/gnutls2/include -L/usr/gnutls2/lib"
  export GNUTLS_LIBS=/usr/gnutls2/lib
  export PKG_CONFIG_PATH=/usr/gnutls2/lib/pkgconfig/
%endif


%configure --prefix=%{_prefix}

%if 0%{?el5}
perl -p -i -e "s[LIBOPENVAS_LIBS=][LIBOPENVAS_LIBS=-L/usr/gnutls2/lib ]" openvas.tmpl
%endif


make
cd po
make

%install

%makeinstall
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/
cp src/xpm/OpenVAS-logo.xpm $RPM_BUILD_ROOT/usr/share/pixmaps/OpenVAS-Client.xpm
mkdir -p $RPM_BUILD_ROOT/usr/share/applications/
cp openvas/OpenVAS-Client.desktop $RPM_BUILD_ROOT/usr/share/applications
cd po
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%config %{_sysconfdir}/openvas/openvas-client_log.conf
%{_bindir}/%{PROGNAME}
%{_bindir}/omp-cli
%{_bindir}/openvasclient-mkcert
#%{_bindir}/openvasclient-mkrand
%{_mandir}/man1/%{PROGNAME}.1*
%{_mandir}/man1/openvasclient-mkcert.1*
#%{_mandir}/man1/openvasclient-mkrand.1*
%{_datadir}/applications/%{PROGNAME}.desktop
%{_datadir}/pixmaps/%{PROGNAME}.xpm
%{_datadir}/locale/*/LC_MESSAGES/%{PROGNAME}.mo
#%{_datadir}/openvas/openvas-ssh-client-rpm-creator.sh

%changelog
* Thu Feb 4 2010 Scott R. Shinn <scott@atomicorp.com> - 3.0.0-3
- Modifications to build on RHEL/CentOS 5 

* Wed Jan 13 2010 Scott R. Shinn <scott@atomicorp.com> - 3.0.0-2
- Fixed desktop integration

* Mon Dec 21 2009 Scott R. Shinn <scott@atomicrocketturtle.com> - 3.0.0-1
- Update to 3.0.0

* Tue Aug 18 2009 Scott R. Shinn <scott@atomicrocketturtle.com> - 2.0.5-1
- Update to 2.0.5

* Fri Jun 5 2009 Scott R. Shinn <scott@atomicrocketturtle.com> - 2.0.4-1
- Update to 2.0.4

* Thu Apr 2 2009 Scott R. Shinn <scott@atomicrocketturtle.com> - 2.0.3-1
- Update to 2.0.3
- Minor fix for de.po msgfmt error

* Mon Mar 16 2009 Scott R. Shinn <scott@atomicrocketturtle.com> - 2.0.2-2
- Added minor update to get the openvas-client icon to show up in the Gnome desktop "network" menu

* Thu Mar 5 2009 Scott R. Shinn <scott@atomicrocketturtle.com> - 2.0.2
- update to 2.0.2

* Mon Dec 22 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 2.0.1
- update to 2.0.1

* Fri Dec 12 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 2.0.0.rc1
- update to 2.0.0.rc1

* Mon Nov 17 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 2.0.0.beta2-1
- update to 2.0.0.beta2

* Thu Nov 6 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 2.0.0.beta1-1
- update to 2.0.0.beta1

* Fri Apr 18 2008 Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>
  - Adapated for Fedora 8 (naming)
  - %post and %postrun removed
* Tue Apr 15 2008 Jan-Oliver Wagner <ja-oliver.wagnern@intevation.de>
  Initial version for OpenSUSE 10.2
